View Issue Details

IDProjectCategoryView StatusLast Update
0007413Multi Theft Auto : San AndreasClientpublic2014-01-11 11:41
ReporterIIYAMA12Assigned ToJusonex 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi7 Quad core, 7970 ati radeonOSWindows 7OS Version
Product Version 
Target Version1.3.5Fixed in Version1.3.5 
Summary0007413: Damage proof boats still take collision damage
Description

When you use the script: setVehicleDamageProof
At the moment when you fall with a boat out of the sky on land, your vehicle still got damage.
The vehicle wont explode, but the damage is still strange.

http://wiki.multitheftauto.com/wiki/SetVehicleDamageProof

As far I know this bug isn't reported on bugtracker, I can't find it at all.
Also onClientVehicleCollision does not seems to work for boats.
I am the only person with this problem? or is it general?

Additional Information

Is this a gta or mta bug/issue?

TagsNo tags attached.

Activities

IIYAMA12

2013-10-05 23:16

viewer   ~~0019453

onClientVehicleCollision
Doesn't get triggered with boats.

Jusonex

2013-10-08 23:05

administrator   ~~0019477

Fixed in https://code.google.com/p/mtasa-blue/source/detail?r=5867

IIYAMA12

2013-12-29 02:35

viewer   ~~0019885

In what version will it be fixed?
(My version: Multi Theft Auto v1.3.4-release-6007.5.010)

Thank you Jusonex

Also, not sure if it have to do with the same bug.
setVehicleDamageProof
Damage-proof boats still get damage by ramming/scratching.

Jusonex

2013-12-29 11:25

administrator   ~~0019886

In what version will it be fixed?
1.3.5 (If you want to try it even now, the latest 1.4 nightly would be the right choice)

Damage-proof boats still get damage by ramming/scratching.
Is there mantis entry?
My fix hooks GTA's boat damage handler routine so that it should prevent any damage (in case setVehicleDamageProof is set to true).

IIYAMA12

2013-12-30 18:51

viewer   ~~0019891

Sorry my mistake, I forget I already noted that in the main post.

Thank you very much! :D

Issue History

Date Modified Username Field Change